Bug 864706 - [WebTrans] editor keyboard shortcut is not working after switching views
[WebTrans] editor keyboard shortcut is not working after switching views
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 19:29 EDT by Patrick Huang
Modified: 2012-11-07 01:19 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121015-1310)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-10-09 19:29:50 EDT
Description of problem:
Editor keyboard shortcut is not working after switching views.

Version-Release number of selected component (if applicable):
1.8-SNAPSHOT

How reproducible:
Always.
Go to editor view, then go to search and replace view by clicking the left hand icon, then switch back to editor.

Steps to Reproduce:
1. Go to WebTrans workspace
2. From editor view click the left hand icon to go to search and replace view
3. Go back to editor view
4. Show available keyboard
  
Actual results:
Only navigation keyboard are listed. ctrl enter or ctrl s is not there.

Expected results:
Editor keyboard shortcut should be there as well.

Additional info:
Once move to a different row, the keyboard shortcut will be available. 
In AppPresenter when we switch to Editor view, we only call TranslationPresenter.revealDisplay() which only enables navigation context.
Comment 1 Patrick Huang 2012-10-09 22:25:12 EDT
committed into master:
https://github.com/zanata/zanata/commit/9b9f599db47a2916efe69574dc9be75cec2b8507
Comment 2 Ding-Yi Chen 2012-10-11 22:14:25 EDT
Tested with Zanata version 1.8.0-SNAPSHOT (20121012-0031)

Bug is still reproduceable.

Reassigned.
Comment 3 Patrick Huang 2012-10-11 23:55:45 EDT
(In reply to comment #2)
> Tested with Zanata version 1.8.0-SNAPSHOT (20121012-0031)
> 
> Bug is still reproduceable.
> 
> Reassigned.

Editor keyboard shortcut will only be available after focusing on one editor. If editor is not focused, there is a key shortcut "Enter" to focus on selected row.
Comment 4 Ding-Yi Chen 2012-10-15 22:01:37 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121015-1310)
Comment 5 Sean Flanigan 2012-11-07 01:19:03 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.